#include <bits/stdc++.h>

#define ll long long

using namespace std;

void tst(int n, ll arr[]) {

    ll sum = 0;
    for(int i = 0; i < n; i++)
        sum += arr[i];

    ll s = 0, ans = LLONG_MIN;
    for(int i = 0; i < n - 1; i++) {
        s += arr[i];

        ans = max(ans, abs(s - (sum - s)));
    }
    cout << ans << endl;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, k;
    cin >> n >> k;

    ll arr[n];
    for(int i = 0; i < n; i++)
        cin >> arr[i];

    if(n == k) {
        tst(n, arr);
        return 0;
    }

    ll ans = LLONG_MIN;
    for(int i = 1; i < n; i++) {
        ll copy[n];
        for(int j = 0; j < n; j++)
            copy[j] = arr[j];
        
        sort(copy, copy + i);
        sort(copy + i, copy + n);

        int b = max(0, i - k + 1);
        ll sum = 0;
        for(int j = 0; j < k; j++) {
            if(b + j < i)
                sum += copy[b + j];
            else
                sum -= copy[b + j];
        }
        
        ans = max(ans, sum);
        for(int j = b + 1; j < i; j++) {
            sum -= copy[j - 1] + copy[j + k - 1];
            ans = max(ans, sum);
        }

        reverse(copy, copy + i);
        reverse(copy + i, copy + n);

        b = max(0, i - k + 1), sum = 0;
        for(int j = 0; j < k; j++) {
            if(b + j >= i)
                sum += copy[b + j];
            else
                sum -= copy[b + j];
        }
        
        ans = max(ans, sum);
        for(int j = b + 1; j < i; j++) {
            sum += copy[j - 1] + copy[j + k - 1];
            ans = max(ans, sum);
        }
    }
    cout << ans << endl;
    return 0;
}